<template>
  <v-container>
    <v-breadcrumbs class="px-0" :items="items"></v-breadcrumbs>

    <v-row no-gutters class="d-flex align-center">
      <h1>Pré-visualizar Projeto</h1>
      <v-spacer></v-spacer>
      <v-btn depressed small color="warning" to="/projects/">VOLTAR</v-btn>
    </v-row>

    <div id="projects">
      <div>
        <p>Descrição: {{ project.description }}</p>
        <p>Categoria: {{ project.category }}</p>
        <p v-if="!project.post">Público: Não</p>
        <p v-else>Público: Sim</p>
        <p style="text-align: center; font-size: 24px">Imagem principal</p>
        <v-img
          class="white--text align-end"
          height="200px"
          src="https://cdn.vuetifyjs.com/images/cards/docks.jpg"
        >
          <!-- <v-card-title>{{ project.description }}</v-card-title> -->
        </v-img>
        <div class="my-6" align="center">
          <p style="font-size: 24px">Imagem secundária</p>
          <v-img
            class="white--text align-end"
            height="200px"
            width="400px"
            src="https://cdn.vuetifyjs.com/images/cards/docks.jpg"
          ></v-img>
        </div>
        <v-divider></v-divider>
      </div>
    </div>
  </v-container>
</template>

<script>
import axios from "axios";
export default {
  data() {
    return {
      project: [],
      items: [
        {
          text: "Dashboard",
          disabled: false,
          to: "/"
        },
        {
          text: "Projetos",
          disabled: false,
          exact: true,
          to: "/projects"
        },
        {
          text: "Pré-visualizar Projeto",
          disabled: true
        }
      ]
    };
  },
  mounted() {
    return axios
      .get(
        `https://young-forest-65938.herokuapp.com/api/v1/projects/${this.$router.currentRoute.params.id}`
      )
      .then(response => {
        var resp = response.data.data;
        console.log("entrou aq");
        console.log(resp);
        this.project = resp;
        console.log(this.project);
      });
  }
};
</script>
